RecordLocationImpl (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.impl.RecordLocationImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal.impl
Class RecordLocationImpl

    java.lang.Object
      org.codehaus.activemq.journal.impl.RecordLocationImpl

All Implemented Interfaces:
  Comparable, RecordLocation

public class RecordLocationImpl
extends Object
implements RecordLocation

Defines a where a record can be located in the Journal.

Version:
  $Revision: 1.2 $

Constructor Summary
`RecordLocationImpl(byte fileMangerId, byte segmentIndex, int fileOffset)`
`RecordLocationImpl(byte fileMangerId, byte segmentIndex, int fileOffset, long sequenceId)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object o)`
`byte` | `getFileMangerId()`
`byte` | `getSegmentIndex()`
`int` | `getSegmentOffset()`
`long` | `getSequenceId()`
`int` | `hashCode()`
`RecordLocationImpl` | `setSegmentIndexAndOffset(byte segmentIndex, int offset)`
`RecordLocationImpl` | `setSequence(long seq)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecordLocationImpl

    public RecordLocationImpl(byte fileMangerId,
                              byte segmentIndex,
                              int fileOffset,
                              long sequenceId)

### RecordLocationImpl

    public RecordLocationImpl(byte fileMangerId,
                              byte segmentIndex,
                              int fileOffset)

Method Detail

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`
  See Also:
    `Comparable.compareTo(java.lang.Object)`

### hashCode

    public int hashCode()

  See Also:
    `Object.hashCode()`

### equals

    public boolean equals(Object o)

  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  See Also:
    `Object.toString()`

### getFileMangerId

    public byte getFileMangerId()

  Returns:
    Returns the fileMangerId.

### getSegmentIndex

    public byte getSegmentIndex()

  Returns:
    Returns the fileId.

### getSegmentOffset

    public int getSegmentOffset()

  Returns:
    Returns the fileOffset.

### getSequenceId

    public long getSequenceId()

  Returns:
    Returns the sequenceId.

### setSegmentIndexAndOffset

    public RecordLocationImpl setSegmentIndexAndOffset(byte segmentIndex,
                                                       int offset)

### setSequence

    public RecordLocationImpl setSequence(long seq)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.